## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiCodePlugin

### Document::ezcDocumentWikiCodePlugin

### Class ezcDocumentWikiCodePlugin

Visitor for wiki directives

Source for this file: /Document/src/document/wiki/plugin/code.php

    ezcDocumentWikiPlugin
       |
       --ezcDocumentWikiCodePlugin

Version: | //autogen//

### Inherited Member Variables

From ezcDocumentWikiPlugin
protected | `ezcDocumentWikiPlugin::$ast`
protected | `ezcDocumentWikiPlugin::$node`
protected | `ezcDocumentWikiPlugin::$path`
protected | `ezcDocumentWikiPlugin::$visitor`

### Method Summary

public void | `toDocbook( $document , $root )` Transform directive to docbook

### Inherited Methods

From ezcDocumentWikiPlugin
public void | `ezcDocumentWikiPlugin::__construct()` Construct directive from AST and node
public void | `ezcDocumentWikiPlugin::setSourceVisitor()` Set the calling vaisitor
public abstract void | `ezcDocumentWikiPlugin::toDocbook()` Transform directive to docbook

### Methods

#### toDocbook

void toDocbook( $document , $root )

Transform directive to docbook

Create a docbook XML structure at the directives position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentWikiPlugin::toDocbook()` | Transform directive to docbook

Documentation generated by phpDocumentor 1.4.3